Scriptname PA_POP_ParadeIntro extends Quest

PA_POP_TattooManager Property TatManager Auto
Armor Property Footwraps Auto
Armor Yoke
Armor Irons
Armor Gag
Armor Collar
zadLibs DD_API

Function EquipRestraints(Actor akTarget)
    GetDDAPI()
    Game.GetPlayer().AddItem(Footwraps)
    Game.GetPlayer().EquipItem(Footwraps)

    Yoke = Game.GetFormFromFile(0x0058EE, "Practical Restraints.esm") as Armor
    Irons = Game.GetFormFromFile(0x02F517, "Devious Devices - Expansion.esm") as Armor
    Gag = Game.GetFormFromFile(0x01F6C7, "Devious Devices - Expansion.esm") as Armor

    DD_API.LockDevice(akTarget, Yoke)
    DD_API.LockDevice(akTarget, Irons)
    DD_API.LockDevice(akTarget, Gag)
EndFunction

Function EquipCollar(Actor akTarget)
    GetDDAPI()

    Collar = Game.GetFormFromFile(0x01775C, "Devious Devices - Integration.esm") as Armor
    DD_API.LockDevice(akTarget, Collar)

    
EndFunction

Function UnequipAll(Actor akTarget)
    DD_API.UnlockDevice(akTarget, Yoke)
    DD_API.UnlockDevice(akTarget, Irons)
    DD_API.UnlockDevice(akTarget, Collar)
    DD_API.UnlockDevice(akTarget, Gag)

    akTarget.RemoveItem(Yoke)
    akTarget.RemoveItem(Irons)
    akTarget.RemoveItem(Collar)
    akTarget.RemoveItem(Gag)
    Game.GetPlayer().RemoveItem(Footwraps)
EndFunction

Function ApplyTats(Actor akTarget)
    TatManager.ApplyParadeTattoos(akTarget)
EndFunction

Function RemoveTats(Actor akTarget)
    TatManager.RemoveParadeTattoos(akTarget)
EndFunction

Function StartParade()
    
EndFunction

Function GetDDAPI()
    if !DD_API
        DD_API = Quest.GetQuest("zadQuest") as zadLibs
    endIf
EndFunction