Scriptname PA_POP_Parade_PlayerAlias extends ReferenceAlias  

PA_POP_Parade Property Parade Auto

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
    Float fPlayerHealth = GetActorRef().GetActorValuePercentage("Health")
    Debug.Trace("Health at: " + fPlayerHealth)

    if fPlayerHealth < 0.5
        Parade.StartWinnerScene(akAggressor)
    endIf
EndEvent

Event OnLocationChange(Location akOldLoc, Location akNewLoc)
    if !GetRef().IsInInterior() && Parade.CanKill
        PR_API PR = Quest.GetQuest("PR_Main") as PR_API
        PR.ShockKill(Game.GetPlayer())
    endIf
EndEvent