Scriptname PA_POP_Scanner extends Quest  

ReferenceAlias[] Property ParticipantAliases Auto

Actor[] Function GetParticipants()
    Start()
    Actor[] participants = PapyrusUtil.ActorArray(10)
    
    int i = 0
    int numParts = 0
    while i < ParticipantAliases.Length
        ObjectReference ref = ParticipantAliases[i].GetRef()
        if ref
            participants[i] = ref as Actor
            numParts += 1
        else
            i = ParticipantAliases.Length
        endIf

        i += 1
    endWhile

    participants = PapyrusUtil.ResizeActorArray(participants, numParts)
    Debug.Trace("Found participants: " + participants)
    Stop()
    return participants
EndFunction